> ## Documentation Index
> Fetch the complete documentation index at: https://docs.weborion.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a webpage (full)

> Updates all settings for the specified webpage. Any fields not included will be unchanged, except `image_regions` — if specified as an empty array, all existing regions are deleted.



## OpenAPI

````yaml /openapi.json put /api/v1/urls/{url}
openapi: 3.0.3
info:
  title: WebOrion Monitor API
  description: >-
    REST API for managing webpages, alerts, batch jobs, and activity logs in
    WebOrion Defacement Monitor.
  version: '2021-07-26'
servers:
  - url: https://api.monitor.weborion.io
security:
  - bearerAuth: []
tags:
  - name: User
    description: Operations related to user accounts
  - name: Webpages
    description: Operations related to webpages and URLs
  - name: Batch Jobs
    description: Operations related to batch baseline and rebaseline jobs
  - name: Alerts
    description: Operations related to alerts
  - name: Domains
    description: Operations related to domains
  - name: Tags
    description: Operations related to tags for organising webpages
paths:
  /api/v1/urls/{url}:
    put:
      tags:
        - Webpages
      summary: Update a webpage (full)
      description: >-
        Updates all settings for the specified webpage. Any fields not included
        will be unchanged, except `image_regions` — if specified as an empty
        array, all existing regions are deleted.
      operationId: putUrl
      parameters:
        - in: path
          name: url
          schema:
            type: string
          required: true
          description: Webpage ID
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UrlUpdateBody'
      responses:
        '200':
          description: OK
components:
  schemas:
    UrlUpdateBody:
      type: object
      properties:
        config_name:
          type: string
        plan_type:
          $ref: '#/components/schemas/PlanType'
        polling_interval:
          type: integer
        continuous_monitoring:
          type: boolean
        warning_limit:
          type: integer
        threshold:
          $ref: '#/components/schemas/ThresholdConfig'
        monitoring_configuration:
          $ref: '#/components/schemas/MonitoringConfig'
        current_baseline:
          $ref: '#/components/schemas/CurrentBaseline'
        image_regions:
          type: array
          items:
            $ref: '#/components/schemas/ImageRegion'
        keyword_set_configuration:
          type: array
          items:
            type: string
    PlanType:
      type: string
      enum:
        - GOLD
        - SILVER
        - BRONZE
        - TRIAL
    ThresholdConfig:
      type: object
      properties:
        enable_content_engine:
          type: boolean
        enable_image_engine:
          type: boolean
        enable_title:
          type: boolean
        threshold_line_num:
          type: integer
        enable_line_num:
          type: boolean
        threshold_href:
          type: integer
        enable_href:
          type: boolean
        threshold_img:
          type: integer
        enable_img:
          type: boolean
        threshold_script:
          type: integer
        enable_script:
          type: boolean
        threshold_div:
          type: integer
        enable_div:
          type: boolean
        threshold_iframe:
          type: integer
        enable_iframe:
          type: boolean
        threshold_link:
          type: integer
        enable_link:
          type: boolean
        image_similarity:
          type: integer
        enable_hash:
          type: boolean
    MonitoringConfig:
      type: object
      properties:
        user_agent_id:
          type: integer
        text_string_appear:
          type: string
        text_string_not_appear:
          type: string
    CurrentBaseline:
      type: object
      properties:
        title:
          type: string
        line_num:
          type: integer
        count_href:
          type: integer
        count_script:
          type: integer
        count_link:
          type: integer
        count_image:
          type: integer
        count_div:
          type: integer
        count_iframe:
          type: integer
        hash:
          type: string
        baseline_hrefs:
          type: array
          items:
            $ref: '#/components/schemas/BaselineItem'
        baseline_iframes:
          type: array
          items:
            $ref: '#/components/schemas/BaselineItem'
        baseline_images:
          type: array
          items:
            $ref: '#/components/schemas/BaselineItem'
        baseline_scripts:
          type: array
          items:
            $ref: '#/components/schemas/BaselineItem'
        baseline_stylesheets:
          type: array
          items:
            $ref: '#/components/schemas/BaselineItem'
    ImageRegion:
      type: object
      properties:
        coord_x:
          type: integer
        coord_y:
          type: integer
        coord_w:
          type: integer
        coord_h:
          type: integer
    BaselineItem:
      type: object
      properties:
        id:
          type: integer
        selected:
          type: boolean
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Generate an API token from the WebOrion Defacement Monitor portal. Pass
        it as `Authorization: Bearer <token>`.

````